<?php

$content_fire_content .= '<div class="col-xs-6">';

	if (isset($title) && $title != '') {

		$content_fire_content .= '<div class="col-md-12 text-center">';
			$content_fire_content .= '<h2 class="' . NNRobots_Content_Fire::$prefix_dash . 'title">' . html_entity_decode(do_shortcode($title)) . '</h2>';
		$content_fire_content .= '</div>';

	}

	do_action('nnr_cf_after_header');
	do_action('nnr_cf_after_header_' . $val['id']);

	if (isset($text) && $text != '') {

		$content_fire_content .= '<div class="col-md-12 text-center">';
			$content_fire_content .= '<p class="' . NNRobots_Content_Fire::$prefix_dash . 'text">' . html_entity_decode(do_shortcode($text)) . '</p>';
		$content_fire_content .= '</div>';

	}

	$content_fire_content .= '<div class="col-xs-12">';

		$content_fire_content .= '<ul class="' . NNRobots_Content_Fire::$prefix_dash . 'list">';

		foreach($template['args']['list']['items'] as $item) {
			$content_fire_content .= '<li class="' . NNRobots_Content_Fire::$prefix_dash . 'list-item">';
				$content_fire_content .= '<i class="fa ' . $item['icon'] . '" style="color: ' . $template['args']['list']['color'] . '"></i>';
				$content_fire_content .= '<span>' . $item['text'] . '</span>';
			$content_fire_content .= '</li>';
		}

		$content_fire_content .= '</ul>';

	$content_fire_content .= '</div>';

	// Button Link

	if ($template['args']['call_to_action'] == 'button') {

		$content_fire_content .= '<div class="col-md-12 text-center">';

			if (isset($template['args']['link_type']) && $template['args']['link_type'] == 'text') {
				$content_fire_content .= '<a style="color: ' . $template['args']['link_text_color'] . '" class="' . NNRobots_Content_Fire::$prefix_dash . 'link-button" href="' . esc_url($template['args']['link_url']) . '" target="' . $template['args']['link_target'] . ' ' . ($template['args']['link_rel'] ? 'rel="nofollow"' : '') . '>';
					$content_fire_content .= $template['args']['link_name'];
				$content_fire_content .= '</a>';
			} else {
				$content_fire_content .= '<a role="button" style="background-color: ' . $template['args']['link_button_color'] . '; color: ' . $template['args']['link_text_color'] . '" class="btn btn-' . $style['button_shape'] . ' ' . NNRobots_Content_Fire::$prefix_dash . 'link-button" href="' . esc_url($template['args']['link_url']) . '" target="' . $template['args']['link_target'] . ' ' . ($template['args']['link_rel'] ? 'rel="nofollow"' : '') . '>';
					$content_fire_content .= $template['args']['link_name'];
				$content_fire_content .= '</a>';
			}

		$content_fire_content .= '</div>';

	}

	// Newsletter

	else if ($template['args']['call_to_action'] == 'newsletter') {

		$content_fire_content .= '<div class="col-md-12 ' . NNRobots_Content_Fire::$prefix_dash . 'form-container">';

			if ($news_letter_type == 'WordPress' ||
				$news_letter_type == 'MailChimp' ||
				$news_letter_type == 'aweber' ||
				$news_letter_type == 'getresponse' ||
				$news_letter_type == 'campaignmonitor' ||
				$news_letter_type == 'madmimi') {

				$content_fire_content .= '<form class="' . NNRobots_Content_Fire::$prefix_dash . 'newsletter" method="post" role="form" novalidate="true">';

					if (isset($news_letter['first_name']) && $news_letter['first_name']) {

						$content_fire_content .= '<div class="form-group col-md-12">';
							$content_fire_content .= '<input name="' . NNRobots_Content_Fire::$prefix_dash . 'first-name" type="text" class="' . NNRobots_Content_Fire::$prefix_dash . 'first-name form-control form-control-' . $style['button_shape'] . '" placeholder="First Name"/>';
						$content_fire_content .= '</div>';

					}

					if (isset($news_letter['last_name']) && $news_letter['last_name']) {

						$content_fire_content .= '<div class="form-group col-md-12">';
							$content_fire_content .= '<input name="' . NNRobots_Content_Fire::$prefix_dash . 'last-name" type="text" class="' . NNRobots_Content_Fire::$prefix_dash . 'last-name form-control form-control-' . $style['button_shape'] . '"  placeholder="Last Name"/>';
						$content_fire_content .= '</div>';

					}

					$content_fire_content .= '<div class="form-group col-md-12">';
						$content_fire_content .= '<input name="' . NNRobots_Content_Fire::$prefix_dash . 'email" type="email" class="' . NNRobots_Content_Fire::$prefix_dash . 'email form-control form-control-' .  $style['button_shape'] . '" placeholder="' . __('Email') . '"/>';
					$content_fire_content .= '</div>';

					$content_fire_content .= '<p class="' . NNRobots_Content_Fire::$prefix_dash . 'newsletter-type hidden" data-newsletter-type="' . $news_letter_type . '" type="text"></p>';

					$content_fire_content .= '<div class="form-group col-md-12 text-center">';

						$content_fire_content .= '<button type="submit" class="' . NNRobots_Content_Fire::$prefix_dash . 'submit form-control btn btn-' . $style['button_shape'] . '" name="submit">';

							if (isset($template['args']['subscribe_icon_place']) && $template['args']['subscribe_icon_place'] == 'before') {
								$content_fire_content .= '<i class="fa ' . $template['args']['subscribe_icon'] . '"></i>';
							}

							$content_fire_content .= $news_letter['button_text'];

							if (isset($template['args']['subscribe_icon_place']) && $template['args']['subscribe_icon_place'] == 'after') {
								$content_fire_content .= '<i class="fa ' . $template['args']['subscribe_icon'] . '"></i>';
							}

						$content_fire_content .= '</button>';

					$content_fire_content .= '</div>';

					$content_fire_content .= '<div class="col-xs-12 text-center">';
						$content_fire_content .= '<label class="hidden ' . NNRobots_Content_Fire::$prefix_dash . 'message"></label>';
					$content_fire_content .= '</div>';
				$content_fire_content .= '</form>';
			}

			if ($news_letter_type == 'feedburner') {

				$content_fire_content .= '<form class="' . NNRobots_Content_Fire::$prefix_dash . 'form" role="form" action="http://feedburner.google.com/fb/a/mailverify" method="post" target="optinfirewindow" onsubmit="window.open(\'http://feedburner.google.com/fb/a/mailverify?uri=' . esc_attr( $feedburner_id ) . '\', \'optinfirewindow\', \'scrollbars=yes,width=550,height=520\');return true">';

					$content_fire_content .= '<div class="form-group col-md-12">';
						$content_fire_content .= '<input type="mailinput" class="form-control" name="email" placeholder="' . __('Email') . '"/>';
					$content_fire_content .= '</div>';

					// Subcribe button

					$content_fire_content .= '<div class="form-group col-md-12 text-center">';

						$content_fire_content .= '<button type="submit" class="' . NNRobots_Content_Fire::$prefix_dash . 'submit form-control btn btn-' . $style['button_shape'] . '" name="submit">';

							if (isset($template['args']['subscribe_icon_place']) && $template['args']['subscribe_icon_place'] == 'before') {
								$content_fire_content .= '<i class="fa ' . $template['args']['subscribe_icon'] . '"></i>';
							}

							$content_fire_content .= $news_letter['button_text'];

							if (isset($template['args']['subscribe_icon_place']) && $template['args']['subscribe_icon_place'] == 'after') {
								$content_fire_content .= '<i class="fa ' . $template['args']['subscribe_icon'] . '"></i>';
							}

						$content_fire_content .= '</button>';

					$content_fire_content .= '</div>';

					$content_fire_content .= '</form>';
					$content_fire_content .= '<script type="text/javascript">
					jQuery(document).ready(function($){
						$(".' . NNRobots_Content_Fire::$prefix_dash . '-form").submit(function(e){
							e.preventDefault();
							window.open(\'http://feedburner.google.com/fb/a/mailverify?uri=' . esc_attr( $feedburner_id ) . '\', \'optinfirewindow\', \'scrollbars=yes,width=550,height=520\');
							return true;
						});
					});';
				$content_fire_content .= '</script>';
			}

		$content_fire_content .= '</div>';
	}

$content_fire_content .= '</div>';

$image_attributes = wp_get_attachment_image_src($image, 'full'); // returns an array

if( $image_attributes ) {
	$image_src = $image_attributes[0];
	$content_fire_content .= '<div class="col-xs-6">';

		$content_fire_content .= '<div class="col-md-12 ' . NNRobots_Content_Fire::$prefix_dash . 'image">';
			$content_fire_content .= '<img src="' . $image_src . '"/>';
		$content_fire_content .= '</div>';

	$content_fire_content .= '</div>';
}